MissionTextTick = function()
	if DateTime.GameTime > 2 then
		if PlayerBarracksState0 then
			PlayerBarracksInfoText0 = "[Barrack(First)-|ConscriptableCitizens->" .. tostring(ConscriptableCitizensBarrackACount0) .. "<-]" 
		elseif not PlayerBarracksState0 then
			PlayerBarracksInfoText0 = "  " .. tostring(NoneControlingPrint) .. "-" .. tostring(NoConscriptsControlingPrint) .. "->" .. tostring(ConscriptableCitizensBarrackACount0) .. "<-]" 
		end
		if PlayerBarracksState1 then
			PlayerBarracksInfoText1 = "[Barrack(First)-|ConscriptableCitizens->" .. tostring(ConscriptableCitizensBarrackACount1) .. "<-]"
		elseif not PlayerBarracksState1 then 
			PlayerBarracksInfoText1 = "  " .. tostring(NoneControlingPrint) .. "-" .. tostring(NoConscriptsControlingPrint) .. "->" .. tostring(ConscriptableCitizensBarrackACount1) .. "<-]"
		end
		if PlayerBarracksState2 then
			PlayerBarracksInfoText2 = "[Barrack(First)-|ConscriptableCitizens->" .. tostring(ConscriptableCitizensBarrackACount2) .. "<-]" 
		elseif not PlayerBarracksState2 then
			PlayerBarracksInfoText2 = "  " .. tostring(NoneControlingPrint) .. "-" .. tostring(NoConscriptsControlingPrint) .. "->" .. tostring(ConscriptableCitizensBarrackACount2) .. "<-]"
		end
		if PlayerBarracksState3 then
			PlayerBarracksInfoText3 = "[Barrack(First)-|ConscriptableCitizens->" .. tostring(ConscriptableCitizensBarrackACount3) .. "<-]"
		elseif not PlayerBarracksState3 then 
			PlayerBarracksInfoText3 = "  " .. tostring(NoneControlingPrint) .. "-" .. tostring(NoConscriptsControlingPrint) .. "->" .. tostring(ConscriptableCitizensBarrackACount3) .. "<-]"
		end
	end
	if DateTime.GameTime > 3 then
		if GeneralTeamStateA0 then
			GeneralTeamInfoText0 = tostring(GeneralTeamType0) .. "-|Infantries-> " .. tostring(GeneralTeamA0) .. " <-|]" .. "\n   " .. tostring(PlayerBarracksInfoText0) 
		elseif not GeneralTeamStateA0 then 
			GeneralTeamInfoText0 = "(" .. tostring(Rank0) .. ")-[" .. tostring(GeneralTeamType0) .. "]-->" .. tostring(GeneralTeamA0) .. "<-|" .. "\n   " .. tostring(PlayerBarracksInfoText0)
		end
		if GeneralTeamStateA1 then
			GeneralTeamInfoText1 = tostring(GeneralTeamType1) .. "-|Infantries-> " .. tostring(GeneralTeamA1) .. " <-|]" .. "\n   " .. tostring(PlayerBarracksInfoText1)
		elseif not GeneralTeamStateA1 then
			GeneralTeamInfoText1 = "(" .. tostring(Rank1) .. ")-[" .. tostring(GeneralTeamType1) .. "]-->" .. tostring(GeneralTeamA1) .. "<-|" .. "\n   " .. tostring(PlayerBarracksInfoText1)
		end
		if GeneralTeamStateA2 then 
			GeneralTeamInfoText2 = tostring(GeneralTeamType2) .. "-|Infantries-> " .. tostring(GeneralTeamA2) .. " <-|]" .. "\n   " .. tostring(PlayerBarracksInfoText2)
		elseif not GeneralTeamStateA2 then
			GeneralTeamInfoText2 = "(" .. tostring(Rank2) .. ")-[" .. tostring(GeneralTeamType2) .. "]-->" .. tostring(GeneralTeamA2) .. "<-|" .. "\n   " .. tostring(PlayerBarracksInfoText2)
		end
		if GeneralTeamStateA3 then
			GeneralTeamInfoText3 = tostring(GeneralTeamType3) .. "-|Infantries-> " .. tostring(GeneralTeamA3) .. " <-|]" .. "\n   " .. tostring(PlayerBarracksInfoText3)
		elseif not GeneralTeamStateA3 then
			GeneralTeamInfoText3 = "(" .. tostring(Rank3) .. ")-[" .. tostring(GeneralTeamType3) .. "]-->" .. tostring(GeneralTeamA3) .. "<-|" .. "\n   " .. tostring(PlayerBarracksInfoText3)
		end
	end
	if DateTime.GameTime > 4 then
		Utils.Do({ multi0, multi1, multi2, multi3 }, function(player)
			UserInterface.SetMissionText("\n\n\n\n[" .. (multi0 or multi1 or multi2 or multi3).Name .. "'s Rank] is:" .. "\n     (" .. tostring(Rank0 or Rank1 or Rank2 or Rank3) .. "-|Health: " .. tostring(FieldGeneralHealth0 or FieldGeneralHealth1 or FieldGeneralHealth2 or FieldGeneralHealth3) .. "|)\n     [" .. tostring(GeneralTeamInfoText0 or GeneralTeamInfoText1 or GeneralTeamInfoText2 or GeneralTeamInfoText3) .. "]\n     [" .. tostring(OrderedGeneralRankText0 or OrderedGeneralRankText1 or OrderedGeneralRankText2 or OrderedGeneralRankText3) .. "|Health(" .. tostring(NationGeneralHealth0 or NationGeneralHealth1 or NationGeneralHealth2 or NationGeneralHealth3) .. ")|]\n[" .. tostring(Side0 or Side1 or Side2 or Side3) .. "]: " .. tostring(Country0 or Country1 or Country2 or Country3) .. " forces [Prestige: " .. (multi0 or multi1 or multi2 or multi3).Experience .. "]\n[DateTime]:  | " .. tostring(YearCount) .. " / " .. tostring(MonthCountName) .. " / " .. tostring(DateDayCount) .. ", " .. tostring(DayCountName) .. " / " .. tostring(PartOfTheDay), ComputerMissionTextColor)
		end)
		if not PlayerGeneralFirstArrivedState0 then
			NationGeneralHealth0 = "None"
		else
			if not NationGeneral0.IsDead and NationGeneral0.IsInWorld then Utils.Do(NationGeneral0, function(ng0) NationGeneralHealth0 = ng0.Health end) else NationGeneralHealth0 = "Dead" end
		end
		if not PlayerGeneralFirstArrivedState1 then
			NationGeneralHealth1 = "None"
		else 
			if not NationGeneral1.IsDead and NationGeneral1.IsInWorld then Utils.Do(NationGeneral1, function(ng1) NationGeneralHealth1 = ng1.Health end) else NationGeneralHealth1 = "Dead" end
		end
		if not PlayerGeneralFirstArrivedState2 then
			NationGeneralHealth2 = "None"
		else 
			if not NationGeneral2.IsDead and NationGeneral2.IsInWorld then Utils.Do(NationGeneral2, function(ng2) NationGeneralHealth2 = ng2.Health end) else NationGeneralHealth2 = "Dead" end
		end
		if not PlayerGeneralFirstArrivedState3 then
			NationGeneralHealth3 = "None"
		else
			if not NationGeneral3.IsDead and NationGeneral3.IsInWorld then Utils.Do(NationGeneral3, function(ng3) NationGeneralHealth3 = ng3.Health end) else NationGeneralHealth3 = "Dead" end
		end
	end
	Trigger.AfterDelay(0.00001, function()
		MissionTextTick()
	end)
end
EmptiesPrintTick = function()
-------------------------------------------------------------------------------------------------------------------			
	NoneControlingPrint = "[Get a barrack]"
	NoConscriptsControlingPrint = "|need support "
-------------------------------------------------------------------------------------------------------------------			
	if not PlayerGeneralFirstArrivedState0 then OrderedGeneralRankText0 = "[ Need to build Command Post   ]" else OrderedGeneralRankText0 = OrderedGeneralRank0 end
	if not PlayerGeneralFirstArrivedState1 then OrderedGeneralRankText1 = "[ Need to build Command Post   ]" else OrderedGeneralRankText1 = OrderedGeneralRank1 end
	if not PlayerGeneralFirstArrivedState2 then OrderedGeneralRankText2 = "[ Need to build Command Post   ]" else OrderedGeneralRankText2 = OrderedGeneralRank2 end
	if not PlayerGeneralFirstArrivedState3 then OrderedGeneralRankText3 = "[ Need to build Command Post   ]" else OrderedGeneralRankText3 = OrderedGeneralRank3 end
-------------------------------------------------------------------------------------------------------------------			
	Trigger.AfterDelay(22.2222, function()
-------------------------------------------------------------------------------------------------------------------			
		NoneControlingPrint = "[Get a barrack]"
		NoConscriptsControlingPrint = "|need support "
-------------------------------------------------------------------------------------------------------------------			
		if not PlayerGeneralFirstArrivedState0 then OrderedGeneralRankText0 = "[ Need to build Command Post - ]" else OrderedGeneralRankText0 = OrderedGeneralRank0 end
		if not PlayerGeneralFirstArrivedState1 then OrderedGeneralRankText1 = "[ Need to build Command Post - ]" else OrderedGeneralRankText1 = OrderedGeneralRank1 end
		if not PlayerGeneralFirstArrivedState2 then OrderedGeneralRankText2 = "[ Need to build Command Post - ]" else OrderedGeneralRankText2 = OrderedGeneralRank2 end
		if not PlayerGeneralFirstArrivedState3 then OrderedGeneralRankText3 = "[ Need to build Command Post - ]" else OrderedGeneralRankText3 = OrderedGeneralRank3 end
-------------------------------------------------------------------------------------------------------------------			
		Trigger.AfterDelay(22.2222, function()
-------------------------------------------------------------------------------------------------------------------			
			NoneControlingPrint = "[Get a barrack]"
			NoConscriptsControlingPrint = "|need support "
-------------------------------------------------------------------------------------------------------------------			
			if not PlayerGeneralFirstArrivedState0 then OrderedGeneralRankText0 = "[   For order Battle General! ]" else OrderedGeneralRankText0 = OrderedGeneralRank0 end
			if not PlayerGeneralFirstArrivedState1 then OrderedGeneralRankText1 = "[   For order Battle General! ]" else OrderedGeneralRankText1 = OrderedGeneralRank1 end
			if not PlayerGeneralFirstArrivedState2 then OrderedGeneralRankText2 = "[   For order Battle General! ]" else OrderedGeneralRankText2 = OrderedGeneralRank2 end
			if not PlayerGeneralFirstArrivedState3 then OrderedGeneralRankText3 = "[   For order Battle General! ]" else OrderedGeneralRankText3 = OrderedGeneralRank3 end
-------------------------------------------------------------------------------------------------------------------			
			Trigger.AfterDelay(22.2222, function()
-------------------------------------------------------------------------------------------------------------------			
				NoneControlingPrint = "[Get a barrack]"
				NoConscriptsControlingPrint = "|need support "
-------------------------------------------------------------------------------------------------------------------			
				if not PlayerGeneralFirstArrivedState0 then OrderedGeneralRankText0 = "[ - For order Battle General! ]" else OrderedGeneralRankText0 = OrderedGeneralRank0 end
				if not PlayerGeneralFirstArrivedState1 then OrderedGeneralRankText1 = "[ - For order Battle General! ]" else OrderedGeneralRankText1 = OrderedGeneralRank1 end
				if not PlayerGeneralFirstArrivedState2 then OrderedGeneralRankText2 = "[ - For order Battle General! ]" else OrderedGeneralRankText2 = OrderedGeneralRank2 end
				if not PlayerGeneralFirstArrivedState3 then OrderedGeneralRankText3 = "[ - For order Battle General! ]" else OrderedGeneralRankText3 = OrderedGeneralRank3 end
-------------------------------------------------------------------------------------------------------------------			
				Trigger.AfterDelay(22.2222, EmptiesPrintTick)
-------------------------------------------------------------------------------------------------------------------			
			end)
		end)
	end)
-------------------------------------------------------------------------------------------------------------------			
end
